export interface IDictionary<T> {
    [key: string]: T;
}
export interface IProcessDetail {
    processKey: string;
    processName: string;
    processArgs: Array<string>;
    verbose: boolean;
    child?: IProcessDetail;
}
export interface IProcessInstance {
    pid: number;
    on: Function;
}
export interface IProcess {
    instance: IProcessInstance;
    detail: IProcessDetail;
}
export declare type IProcessHash = IDictionary<IProcess>;
export interface IOptions {
    process: Array<IProcessDetail>;
}
export declare class ProcessPluginClass {
    test: RegExp;
    opts: IOptions;
    processList: IProcessHash;
    constructor(opts: IOptions);
    start(): void;
    stop(): void;
    postBundle(context: any): void;
    private startProcess(detail);
    private createProcess(detail);
}
export declare function ProcessPlugin(options: IOptions): ProcessPluginClass;
